import{Button as t,Menu as e,Typography as r}from"@equinor/eds-core-react";export{Button}from"@equinor/eds-core-react";import{colors as o,VARIANT_COLORS as a}from"../../atoms/style/colors.js";import{spacings as i}from"../../atoms/style/spacings.js";import{Chip as n}from"../Chip/Chip.js";import s,{css as l}from"styled-components";const d=s.div`
  position: relative;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 6px 8px;
  &:hover:not(:has(input:disabled)) {
    cursor: pointer;
  }

  ${({$variant:t})=>t?"dirty"===t?l`
        box-shadow: inset 0 -2px 0 0 ${a[t]};
        &:hover {
          box-shadow: inset 0 -2px 0 0 ${a[t]};
        }
      `:l`
      outline: 1px solid ${a[t]};
      &:hover {
        box-shadow: inset 0 -1px 0 0 ${a[t]};
      }
    `:l`
        box-shadow: inset 0 -1px 0 0 ${o.text.static_icons__tertiary.rgba};
        &:hover {
          box-shadow: inset 0 -2px 0 0 ${o.text.static_icons__tertiary.rgba};
        }
      `}

  ${({$lightBackground:t})=>t?`background-color: ${o.ui.background__default.rgba}`:`background-color: ${o.ui.background__light.rgba}`};

  &[aria-expanded='true'] {
    box-shadow: inset 0 -2px 0 0 ${o.interactive.primary__resting.rgba};
  }
  &:has(input:disabled) {
    outline: none;
    box-shadow: none;
  }

  ${({$shouldShowTopMargin:t})=>t&&"margin-top: 1rem;"};

  > label {
    left: 0;
    right: 0;
    position: absolute;
    top: -1rem;
  }

  > svg[role='progressbar'] {
    overflow: unset;
  }
  > svg:not([role='progressbar']) {
    cursor: pointer;
    &:hover {
      background: ${o.interactive.primary__hover_alt.rgba};
      border-radius: 50%;
    }
  }

  &:has(input:disabled) {
    cursor: not-allowed;
    box-shadow: none;
    > svg:not([role='progressbar']) {
      cursor: not-allowed;
      fill: ${o.interactive.disabled__text.rgba};
      &:hover {
        background: transparent;
      }
    }
    > label {
      color: ${o.interactive.disabled__text.rgba};
    }
  }
`,c=s.section`
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: ${i.x_small};
  min-height: 24px;
  input[type='search'] {
    background: transparent;
    width: 0;
    flex-grow: 1;
    padding: 0;
    font-family: 'Equinor', sans-serif;
    color: ${o.text.static_icons__default.rgba};
    outline: none;
    border: none;
  }
  input[type='search']:disabled {
    cursor: not-allowed;
  }
  input[type='search']::-webkit-search-decoration,
  input[type='search']::-webkit-search-cancel-button,
  input[type='search']::-webkit-search-results-button,
  input[type='search']::-webkit-search-results-decoration {
    appearance: none;
  }
  &:has(input:disabled) {
    > p {
      color: ${o.interactive.disabled__text.rgba};
    }
    > .amplify-combo-box-chip {
      cursor: not-allowed;
      background: ${o.interactive.disabled__fill.rgba};
      color: ${o.interactive.disabled__text.rgba};
      > svg {
        fill: ${o.interactive.disabled__text.rgba};
        &:hover {
          cursor: not-allowed;
          background: none;
        }
      }
    }
  }
`,p=s(t)`
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  right: 32px;
  width: 24px;
  height: 24px;
  svg {
    fill: ${o.text.static_icons__secondary.rgba};
  }
  &:after {
    width: 24px;
    height: 24px;
    left: 0;
  }
`,g=s(n)`
  background: ${({$tryingToRemove:t,$lightBackground:e})=>t?o.interactive.primary__hover_alt.rgba:e?o.ui.background__light.rgba:o.ui.background__default.rgba} !important;
`,b=s(e.Item)`
  flex-grow: 1;
  border-radius: 2px;
  ${({$paddedLeft:t})=>t&&"margin-left: 36px"};
  padding-left: 10px;

  &:hover {
    background: none;
  }

  &:focus {
    outline: none;
    background: ${o.interactive.primary__hover_alt.rgba};
  }

  &:focus-visible {
    background: ${o.interactive.primary__hover_alt.rgba};
  }
`,u=s.hr`
  height: calc(100% + ${i.medium} * 2);
  justify-self: center;
  width: ${i.x_large};
`,h=s(r)`
  position: absolute;
  color: ${o.text.static_icons__tertiary.rgba};
  top: calc(50%);
  transform: translate(0, -50%);
`,_=s(h)`
  color: ${o.text.static_icons__default.rgba};
`,x=s(r)`
  margin-left: ${i.medium};
`,m=s(e)`
  max-height: 20rem;
  overflow: auto;
`,f=s.div`
  display: flex;
  align-items: center;
  padding: 0 ${i.small};
`,$=s(t)`
  width: 36px;
  height: 36px;
`;export{p as ClearButton,d as Container,u as MenuItemSpacer,f as MenuItemWrapper,x as NoItemsFoundText,h as PlaceholderText,c as Section,$ as SmallButton,g as StyledChip,m as StyledMenu,b as StyledMenuItem,_ as ValueText};
