import { FC, ReactNode } from 'react';
interface LoadingProviderProps {
    children: ReactNode;
}
/**
 *
 * @description Combines loading of tutorials/feature toggles + auth into one.
 * Expects AuthProvider to be wrapped around it with 'withoutLoader'-prop set to true
 * @param children - ReactNode, typically the rest of your app
 */
export declare const LoadingProvider: FC<LoadingProviderProps>;
export {};
